#!/bin/sh
#
. $HOME/.profile
#
echo
echo
echo "Checking for envronment variables CPC_HOME, EUMET_In and EUMET_RZDM"
echo
#
: ${EUMET_HOME?"Need to set EUMET_HOME"}
echo
echo "EUMET_HOME is set to ${EUMET_HOME}"
echo
sleep 5
#
: ${EUMET_IN?"Need to set EUMET_IN"}
echo
echo "EUMET_IN is set to ${EUMET_IN}"
echo
sleep 5
#
#
: ${EUMET_RZDM?"Need to set EUMET_RZDM"}
echo
echo "EUMET_RZDM is set to ${EUMET_RZDM}"
echo
sleep 5
#
echo
echo "Generating live html files from templates"
echo
sleep 5
#
#
cd $EUMET_HOME/htmls
#
./process_html_files.sh
#
echo
echo "Completed processing html files"
echo
#
#
pr=$EUMET_HOME
cd $EUMET_HOME/scripts
echo $pr
cp $EUMET_HOME/scripts/src/sample_crontab_file_template sample_crontab_file
sed -i "s#EUMET_HOME#$pr#" sample_crontab_file
#
#
echo
echo "Now you can initiate your crontab"
echo "by copying the following lines in sample crontab file to your crontab file"
echo "and restarting the cron"
echo
echo
sleep 2
cat sample_crontab_file
echo
echo
