#!/bin/ksh
dt=`date --date "1 day ago" "+%Y%m%d"`
cd /usr1/vkumar/Eumetcast/ncep_forecast_$dt
#
######################################################################
### Upload to Eumetcast ftp server
######################################################################
echo '     starting...ftp'
#
lftp  <<ENDFTP
 debug 9
 set ftps:initial-prot ""
 set ftp:ssl-allow true
 set ftp:ssl-force true
 set ssl:verify-certificate no
 set ftp:ssl-protect-data true
 set ftp:ssl-auth TLS
 set ftp:passive-mode true
 set ftp:ssl-data-use-keys true
 open -u wmora1,WDs9epv5 oisftp.eumetsat.int:21
 cd groups/wmo-ra1-ncep-test
put ncep_forecast_${dt} -o ncep_forecast_${dt}.tmp
mv ncep_forecast_${dt}.tmp ncep_forecast_${dt}
put ncep_forecast_${dt}_africa.html.tar -o ncep_forecast_${dt}_africa.html.tar.tmp
put ncep_forecast_${dt}_africa.tar -o ncep_forecast_${dt}_africa.tar.tmp
mv ncep_forecast_${dt}_africa.tar.tmp ncep_forecast_${dt}_africa.tar
mv ncep_forecast_${dt}_africa.html.tar.tmp ncep_forecast_${dt}_africa.html.tar
put ncep_forecast_${dt}_eafrica.tar -o ncep_forecast_${dt}_eafrica.tar.tmp
mv ncep_forecast_${dt}_eafrica.tar.tmp ncep_forecast_${dt}_eafrica.tar
put ncep_forecast_${dt}_gfs_meteograms.tar -o ncep_forecast_${dt}_gfs_meteograms.tar.tmp
mv ncep_forecast_${dt}_gfs_meteograms.tar.tmp ncep_forecast_${dt}_gfs_meteograms.tar
put ncep_forecast_${dt}_nafrica.tar -o ncep_forecast_${dt}_nafrica.tar.tmp
mv ncep_forecast_${dt}_nafrica.tar.tmp ncep_forecast_${dt}_nafrica.tar
put ncep_forecast_${dt}_safrica.tar -o ncep_forecast_${dt}_safrica.tar.tmp
mv ncep_forecast_${dt}_safrica.tar.tmp ncep_forecast_${dt}_safrica.tar
put ncep_forecast_${dt}_skewt.tar -o ncep_forecast_${dt}_skewt.tar.tmp
mv ncep_forecast_${dt}_skewt.tar.tmp ncep_forecast_${dt}_skewt.tar
put ncep_forecast_${dt}_wafrica.tar -o ncep_forecast_${dt}_wafrica.tar.tmp
mv ncep_forecast_${dt}_wafrica.tar.tmp ncep_forecast_${dt}_wafrica.tar
put ncep_forecast_${dt}_noaalogo.png.tar -o ncep_forecast_${dt}_noaalogo.png.tar.tmp
mv ncep_forecast_${dt}_noaalogo.png.tar.tmp ncep_forecast_${dt}_noaalogo.png.tar
exit
ENDFTP
echo '     finished ftp'
